<?php
// $Id: admin.php,v 1.5 2005/10/28 11:56:05 ohwada Exp $

// 2005-10-20 K.OHWADA
// REQ 3028: send apoval email to anonymous user

// 2005-09-01 K.OHWADA
// BUG 2931: unmatch popup menu 'prefrence' and index menu 'module setting'

// 2005-08-09
// BUG 2827: RSS refresh: Invalid argument supplied for foreach()
// _WEBLINKS_ADMIN_NO_LINK_BROKEN_CHECK, others

// 2005-01-20 K.OHWADA
// add link field, RSS/ATOM view, user_list, mail_user

// 2004-11-28 K.OHWADA
// config.php, etc

//=========================================================
// language for admin
// 2004-10-20 K.OHWADA
//=========================================================

define("_WEBLINKS_ADMIN_INDEX","Admin Index");

// BUG 2931: unmatch popup menu 'prefrence' and index menu 'module setting'
define("_WEBLINKS_ADMIN_MODULE_CONFIG_1","Module Configuration 1 (Preferences)");

define("_WEBLINKS_ADMIN_MODULE_CONFIG_2","Module Configuration 2");
define("_WEBLINKS_ADMIN_ADDMODDEL_CATEGORY","Add, Modify, and Delete Categories");
define("_WEBLINKS_ADMIN_ADD_LINK","Add New Link");
define("_WEBLINKS_ADMIN_OTHERFUNC","Other Functions");
define("_WEBLINKS_ADMIN_GOTO_ADMIN_INDEX","goto Admin Index");

//======	config.php 	======
// Access Authority
define('_WEBLINKS_ADMIN_AUTH','Setting of Access Authority');
define('_WEBLINKS_ADMIN_AUTH_TEXT', 'The administrator has all management authority');
define('_WEBLINKS_AUTH_SUBMIT','Authority to submit a new link');
define('_WEBLINKS_AUTH_SUBMIT_DSC','Specify the group which can grant the authority to submit a new link');
define('_WEBLINKS_AUTH_SUBMIT_AUTO','Authority to approve when submit a new link');
define('_WEBLINKS_AUTH_SUBMIT_AUTO_DSC','Specify the group which can grant the authority to approve automatically when submit a new link');
define('_WEBLINKS_AUTH_MODIFY','Authority to modify a link');
define('_WEBLINKS_AUTH_MODIFY_DSC','Specify the group which can grant the authority to modify a link');
define('_WEBLINKS_AUTH_MODIFY_AUTO','Authority to approve when modify a link');
define('_WEBLINKS_AUTH_MODIFY_AUTO_DSC','Specify the group which can grant the authority to approve automatically when modify a link');
define('_WEBLINKS_AUTH_RATELINK','Authority to rate a link');
define('_WEBLINKS_AUTH_RATELINK_DSC',"Specify the group which can grant the authority to rate a link.<br />it is effective when 'use to rate a link' is yes.");
define('_WEBLINKS_USE_PASSWD','Password authentication when modify a link');
define('_WEBLINKS_USE_PASSWD_DSC','When select YES, <br />and not permit authority to approve automatically when modify a link, <br />display password authentication. ');
define('_WEBLINKS_USE_RATELINK','Use to rate a link');
define('_WEBLINKS_USE_RATELINK_DSC',"When select YES, <br />show 'Use to rate a link' and result of 'rating'.");
define('_WEBLINKS_AUTH_UPDATED', 'Updated access authority');


// RSS/ATOM
define('_WEBLINKS_ADMIN_RSS','Setting of RSS/ATOM Feeds');
define('_WEBLINKS_RSS_MODE_AUTO','Auto update of RSS/ATOM feeds');
define('_WEBLINKS_RSS_MODE_AUTO_DSC', "when select YES, perform 'Auto Discovery of RSS/ATOM url' and 'auto update', when show a link detail infomation. ");
define('_WEBLINKS_RSS_MODE_DATA','Data of RSS/ATOM to show');
define('_WEBLINKS_RSS_MODE_DATA_DSC', "When select 'ATOM FEED', use the data in atomfeed table after parsing. <br />When select 'XML', use the data in link table before parsing. <br />Some datas may not be saved in atomfeed table since filtering. ");
define('_WEBLINKS_RSS_CACHE','Cache time of RSS/ATOM feeds');
define('_WEBLINKS_RSS_CACHE_DSC', 'Setting value is a 1 hour unit.');
define('_WEBLINKS_RSS_LIMIT','The maximum number of RSS/ATOM feeds');
define('_WEBLINKS_RSS_LIMIT_DSC', 'Enter the maximum number of RSS/ATOM feeds saved in atomfeed table<br />It will be cleared by old date, if this value is exceeded. <br />0 is unlimited. ');
define('_WEBLINKS_RSS_SITE','RSS search site');
define('_WEBLINKS_RSS_SITE_DSC',"Enter a list of RSS url of RSS search site. <br />divide by new-line when specifying more than one. <br />Don't enter ATOM url. ");
define('_WEBLINKS_RSS_BLACK','Black list of RSS/ATOM url');
define('_WEBLINKS_RSS_BLACK_DSC','Enter a list of url to refuse when collecting RSS/ATOM feeds. <br />divide by new-line when specifying more than one. <br />You can use the regular expression of perl. ');
define('_WEBLINKS_RSS_WHITE','White list of RSS/ATOM url');
define('_WEBLINKS_RSS_WHITE_DSC','Enter list of url to collect when matching with a blacklist. <br />divide by new-line when specifying more than one. <br />You can use the regular expression of perl. ');
define('_WEBLINKS_RSS_URL_CHECK', 'There are some link urls matching with a blacklist. ');
define('_WEBLINKS_RSS_URL_CHECK_DSC', 'Please copy and paste of the lower white list to a registration form, if you require. ');
define('_WEBLINKS_RSS_UPDATED', 'Update RSS/ATOM setting');


// RSS/ATOM
define('_WEBLINKS_ADMIN_RSS_VIEW','Setting of view of RSS/ATOM Feeds');
define('_WEBLINKS_RSS_MODE_TITLE','Use of HTML tag of the title');
define('_WEBLINKS_RSS_MODE_TITLE_DSC', 'When selcet "YES", show title with HTML tag, if title have HTML tag. <br />When selcet "NO", show title striping HTML tag. ');
define('_WEBLINKS_RSS_MODE_CONTENT','Use of HTML tag of the content');
define('_WEBLINKS_RSS_MODE_CONTENT_DSC', 'When selcet "YES", show content with HTML tag, if content have HTML tag. <br />When selcet "NO", show content striping HTML tag. ');
define('_WEBLINKS_RSS_NEW','Select the maximum number of "new RSS/ATOM feeds" displayed on top page');
define('_WEBLINKS_RSS_NEW_DSC', 'Enter the maximum number of new RSS/ATOM feeds to be displayed in the Main page.');
define('_WEBLINKS_RSS_PERPAGE','Select the maximum number of RSS/ATOM feeds displayed in and Link detail page and RSS/ATOM page');
define('_WEBLINKS_RSS_PERPAGE_DSC', 'Enter the maximum number of RSS/ATOM feeds to be shown in RSS/ATOM page. ');
define('_WEBLINKS_RSS_NUM_CONTENT','Number of feeds which displays the content');
define('_WEBLINKS_RSS_NUM_CONTENT_DSC', 'Enter the number of feeds which displays the content of RSS/ATOM feeds in Link detail page. <br />A summary is displayed on the feeds more than the number. ');
define('_WEBLINKS_RSS_MAX_CONTENT','Maximum number of characters used for RSS/ATOM feed content');
define('_WEBLINKS_RSS_MAX_CONTENT_DSC', 'Enter the maximum number of characters to be used for RSS/ATOM feed content in RSS/ATOM page.  <br />It is effective when "Use of HTML tag of the contents" is "no." ');
define('_WEBLINKS_RSS_MAX_SUMMARY','Maximum number of characters used for RSS/ATOM feed summary');
define('_WEBLINKS_RSS_MAX_SUMMARY_DSC', 'Enter the maximum number of characters to be used for RSS/ATOM feed summary in the Main page. ');


// use link field
define('_WEBLINKS_ADMIN_POST','Setting of link field');
define('_WEBLINKS_ADMIN_POST_TEXT_1', "When select 'no use', not show in submit form. ");
define('_WEBLINKS_ADMIN_POST_TEXT_2', "When select 'use', show in submit form. ");
define('_WEBLINKS_ADMIN_POST_TEXT_3', "When select 'indispensable', show in submit form and check to fill in form. ");
define('_WEBLINKS_NO_USE','no use');
define('_WEBLINKS_USE','use');
define('_WEBLINKS_INDISPENSABLE','indispensable');
define('_WEBLINKS_TYPE_DESC','Type for description of submission form');
define('_WEBLINKS_TYPE_DESC_DSC', 'When select "NO", <br />use normal text box.<br />When select "YES", <br />use XOOPS DHTML type for description of submission form. ');
define('_WEBLINKS_CHECK_DOUBLE','Accept registration of existing links');
define('_WEBLINKS_CHECK_DOUBLE_DSC', 'When select "NO", <br />accepting registration of existing links. <br> When select "YES", <br />check whether the same link has already existed. ');
define('_WEBLINKS_POST_UPDATED', 'Updated link field setting');

// cateogry
define('_WEBLINKS_ADMIN_CAT_SET','Setting of category');
define('_WEBLINKS_CAT_SEL', 'Maximum number of selective categories');
define('_WEBLINKS_CAT_SEL_DSC', 'Enter the maximum number of categories selective from a link');
define('_WEBLINKS_CAT_SUB','Number of a sub category display');
define('_WEBLINKS_CAT_SUB_DSC','Set number of a sub category display at a category list of top page');
define('_WEBLINKS_CAT_IMG_MODE','Select category image');
define('_WEBLINKS_CAT_IMG_MODE_DSC', 'When select "none", not show image. <br />When select "folder.gif", show folder.gif. <br />When select "setting image", show setting image of each category. ');
define("_WEBLINKS_CAT_IMG_MODE_0","none");
define("_WEBLINKS_CAT_IMG_MODE_1","folder.gif");
define("_WEBLINKS_CAT_IMG_MODE_2","setting image");
define('_WEBLINKS_CAT_IMG_WIDTH','Maximum width of a category image');
define('_WEBLINKS_CAT_IMG_HEIGHT','Maximum length of a category image');
define('_WEBLINKS_CAT_IMG_SIZE_DSC','Effective when select "setting image". ');
define('_WEBLINKS_CAT_UPDATED', 'Updated category setting');


//======	cateogry_list.php 	======
define("_WEBLINKS_ADMIN_CATEGORY_MANAGE","Management of Category");
define("_WEBLINKS_ADMIN_CATEGORY_LIST","List of category");
define("_WEBLINKS_ORDER_ID"," Listed by ID");
define("_WEBLINKS_ORDER_TREE"," Listed by tree");
define("_WEBLINKS_CAT_ORDER","Order of category");
define("_WEBLINKS_THERE_ARE_CATEGORY","There are <b>%s</b> categories in database");
define("_WEBLINKS_ADMIN_CATEGORY_NOTICE_1","When click <b>category ID</b>, show page to edit category. ");
define("_WEBLINKS_ADMIN_CATEGORY_NOTICE_2","Click <b>Parent category</b> or <b>Title</b>, show Order of category list. ");
define("_WEBLINKS_NO_CATEGORY","There is no corresponding category. ");
define("_WEBLINKS_NUM_SUBCAT","Number of sub category");
define('_WEBLINKS_ORDERS_UPDATED', 'Updated order of category');

//======	cateogry_manage.php 	======
define("_WEBLINKS_IMGURL_MAIN","URL of category imageL");
define("_WEBLINKS_IMGURL_MAIN_DSC1","this is option. <br />Adjust automatically ‚”he size of a image. ");
define("_WEBLINKS_IMGURL_MAIN_DSC2","It is effective in the main category. ");

//======	link_list.php 	======
define("_WEBLINKS_ADMIN_LINK_MANAGE","Management of Link");
define("_WEBLINKS_ADMIN_LINK_LIST","Link list");
define("_WEBLINKS_ADMIN_LINK_BROKEN","List of broken link");
define("_WEBLINKS_ADMIN_LINK_ALL_ASC","List of all links (Listed by old ID) ");
define("_WEBLINKS_ADMIN_LINK_ALL_DESC","List of all links (Listed by new ID) ");
define("_WEBLINKS_ADMIN_LINK_NOURL","List of the link that URL is not set up");
define("_WEBLINKS_COUNT_BROKEN","Count of broken link");
define("_WEBLINKS_NO_LINK","There is no corresponding link. ");
define("_WEBLINKS_ADMIN_PRESENT_SAVE","The data which saved in database show here. ");

//======	link_manage.php 	======
define("_WEBLINKS_USERID","User ID");
define("_WEBLINKS_CREATE","Created");

//======	link_broken_check.php 	======
define("_WEBLINKS_ADMIN_LINK_CHECK_UPDATE","Link check and update");
define("_WEBLINKS_ADMIN_LINK_BROKEN_CHECK","link broken check");
define("_WEBLINKS_ADMIN_BROKEN_CHECK","check");
define("_WEBLINKS_ADMIN_BROKEN_RESULT","check result");
define("_WEBLINKS_ADMIN_LINK_BROKEN_CHECK_CAUTION","A timeout may occurs, if there are many broken link. <br />Then please change the numerical value of limit and offset. <br />limit=0 is no restriction. <br />");
define("_WEBLINKS_ADMIN_LINK_BROKEN_CHECK_NOTICE","a link modify page will be open, when click the <b>link ID</b>. <br />corresponding URL will be open, when click <b>website URL</b>. <br />");
define("_WEBLINKS_ADMIN_LINK_BROKEN_CHECK_GOOGLE","the google search will be open, when click <b>website title</b>. <br />");
define("_WEBLINKS_ADMIN_LIMIT","Maximum of checking links (limit)");
define("_WEBLINKS_ADMIN_OFFSET","Offset (offset)");
define("_WEBLINKS_ADMIN_CHECK","CHECK");
define("_WEBLINKS_ADMIN_TIME_START","Start time");
define("_WEBLINKS_ADMIN_TIME_END","Finish time");
define("_WEBLINKS_ADMIN_TIME_ELAPSE","Elapse time");
define("_WEBLINKS_ADMIN_LINK_NUM_ALL","All links");
define("_WEBLINKS_ADMIN_LINK_NUM_CHECK","Checked links");
define("_WEBLINKS_ADMIN_LINK_NUM_BROKEN","Broken links");
define("_WEBLINKS_ADMIN_NUM","links");
define("_WEBLINKS_ADMIN_MIN_SEC","%s min %s sec");
define("_WEBLINKS_ADMIN_CHECK_NEXT","Check next %s links");
define("_WEBLINKS_ADMIN_RSS_REFRESH_NOTE","perform simultaneously Auto Discovery of RSS/ATOM url ");

//======	rss_manage.php 	======
define("_WEBLINKS_ADMIN_RSS_MANAGE","Managemnt of RSS/ATOM feed");
define("_WEBLINKS_ADMIN_RSS_REFRESH","Refresh of RSS/ATOM");
define("_WEBLINKS_ADMIN_RSS_REFRESH_LINK","Refresh cache of link data");
define("_WEBLINKS_ADMIN_RSS_REFRESH_SITE","Refresh cache of RSS search site");
define("_WEBLINKS_ADMIN_NUM_REFRESH_RSS_URL","Number of RSS/ATOM url refreshed");
define("_WEBLINKS_ADMIN_NUM_REFRESH_RSS_SITE","Number of RSS/ATOM site refreshed url");
define("_WEBLINKS_ADMIN_NUM_REFRESH_ATOM_SITE","Number of RSS/ATOM site refreshed feed");
define("_WEBLINKS_ADMIN_NUM_REFRESH_ATOMFEED","Number of RSS/ATOM feed refreshed");
define("_WEBLINKS_ADMIN_RSS_CACHE_CLEAR","Clear cache of RSS/ATOM feed");
define("_WEBLINKS_RSS_CLEAR_NUM","Clear cache of RSS/ATOM feed in the old order of a date, if more than the specified number of feeds.");
define("_WEBLINKS_RSS_NUMBER","number of feeds");
define("_WEBLINKS_RSS_CLEAR_LID","Clear cache which specified link ID");
define("_WEBLINKS_RSS_CLEAR_ALL","Clear all cache");
define("_WEBLINKS_NUM_RSS_CLEAR_LINK","Number of RSS/ATOM cache cleard");
define("_WEBLINKS_NUM_RSS_CLEAR_ATOMFEED","Number of ATOM/RSS feed cleard");

//======	user_list.php 	======
define("_WEBLINKS_ADMIN_USER_MANAGE", "Managemnet of user");
define("_WEBLINKS_ADMIN_USER_EMAIL", "List of the users have Email address");
define("_WEBLINKS_ADMIN_USER_LINK", "List of the registrated users who has link information");
define("_WEBLINKS_ADMIN_USER_NOLINK", "List of the registrated users who has no link information");
define("_WEBLINKS_ADMIN_USER_EMAIL_DSC", "Show only one Email address if duplicated");
define("_WEBLINKS_ADMIN_USER_LINK_DSC", 'Use "Send Message to Users" of XOOPS core');
define("_WEBLINKS_USER_ALL", " (all) ");
define("_WEBLINKS_USER_MAX", " (each %s persons) ");
define("_WEBLINKS_THERE_ARE_USER", "<b>%s</b> users found");
define("_WEBLINKS_USER_NUM", "Show from %s th person to %s th person.");
define("_WEBLINKS_USER_NOFOUND", "No Users Found");
define("_WEBLINKS_UID_EMAIL", "Email address of submitter");

//======	mail_users.php 	======
define("_WEBLINKS_ADMIN_SENDMAIL", "Send Email");
define("_WEBLINKS_THERE_ARE_EMAIL","There are <b>%s</b> e-mails");
define("_WEBLINKS_SEND_NUM", "Send email form %s th person to %s th person");
define("_WEBLINKS_SEND_NEXT","Send next %s emails");
define("_WEBLINKS_SUBJECT_FROM", "Information from %s");
define("_WEBLINKS_HELLO", "Hello %s");
define("_WEBLINKS_MAIL_TAGS1","{W_NAME} will print user name");
define("_WEBLINKS_MAIL_TAGS2","{W_EMAIL} will print user email");
define("_WEBLINKS_MAIL_TAGS3","{W_LID} will print user link-id");

// general
define('_WEBLINKS_WEBMASTER', 'Webmaster');
define('_WEBLINKS_SUBMITTER', 'Submitter');
define("_WEBLINKS_MID","Modify ID");
define("_WEBLINKS_UPDATE","UPDATE");
define("_WEBLINKS_SET_DEFAULT","Set default");
define("_WEBLINKS_CLEAR","CLEAR");
define("_WEBLINKS_CHECK","CHECK");
define("_WEBLINKS_NON","Noting to do");
define("_WEBLINKS_SENDMAIL", "SEND Email");

// 2005-08-09
// BUG 2827: RSS refresh: Invalid argument supplied for foreach()
define("_WEBLINKS_ADMIN_NO_LINK_BROKEN_CHECK","There is no link to check");
define("_WEBLINKS_ADMIN_NO_RSS_REFRESH","There is no link to update RSS");

// 2005-10-20
define("_WEBLINKS_LINK_APPROVED", "Your link has been approved");
define("_WEBLINKS_LINK_REFUSED", "Your link has been refused");

?>